<?php

namespace App\Models;

use App\Models\BaseModel;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * @description 订单管理
 * @author  system;
 * @version    1.0
 * @date 2018-07-03 16:51:03
 *
 */
class AlbumOrderModel extends BaseModel
{
    use SoftDeletes;
    /**
     * 数据表名
     *
     * @var string
     *
     */
    protected $table = 'album_order';
    /**
     * 主键
     */
    protected $primaryKey = 'id';

    //分页
    protected $perPage = PAGE_NUMS;

    /**
     * 可以被集体附值的表的字段
     *
     * @var string
     */
    protected $fillable = [
        'sno',
        'qrcode',
        'status',
        'category',
        'type',
        'color',
        'picture',
        'question',
        'customer_name',
        'customer_phone',
        'customer_address',
        'user_id',
        'verifier_id',
        'producer_id',
        'packer_id',
        'price',
        'expected_time',
        'remark',
        'store_id',
        'expected_comment'
    ];

    public function status(){
        switch ($this->status){
            case 1:
                return "待生产";
                break;
            case 2:
                return "生产中";
                break;
            case 3:
                return "生产完成，待发货";
                break;
            case 4:
                return "运输中，待收货";
                break;
            case 5:
                return "已签收，待评价";
                break;
            default:
                return "待审核";
        }
    }

}